/////////////////////////////////////////////////////////////////////////////
// Name:        No names yet.
// Purpose:     Contrib. demo
// Author:      Aleksandras Gluchovas
// Modified by:
// Created:     2000/02/08
// RCS-ID:      $Id: cardglyph.h,v 1.2 2001/04/04 12:42:36 aleksandras Exp $
// Copyright:   (c) Aleksandras Gluchovas
// Licence:   	GPL (version 2.0 or later)
/////////////////////////////////////////////////////////////////////////////

#ifndef __CARDGLYPH_G__
#define __CARDGLYPH_G__

#include "widgeteditor.h"

class CardCtrlNode : public MultiFaceNodeBase
{
public:
	CardCtrlNode();

	// overriden method of wxDMNode
	virtual wxDMNode* Clone( bool uniqueCopy, bool cloneChildren = TRUE );

	DECLARE_CLASS( CardCtrlNode )
};

class CardCtrlGlyph : public MultiFaceGlyphBase
{
public:
	CardCtrlGlyph();

	// overriden methods of WidgetGlyph
	virtual void Draw( wxDC& canvas);

	// overriden method of XObject
	virtual bool OnMouseDown ( const XPoint& pos );

	DECLARE_DYNAMIC_CLASS( CardCtrlGlyph )
};

#endif // __CARDGLYPH_G__